<nav class="navbar navbar-expand-lg navbar-light static-top sb-navbar">

  <div class="container">
    <a routerLink="/dashboard" routerLinkActive="active-link" [routerLinkActiveOptions]="{exact: true}" class="navbar-brand nav-link">Budget v 1.0</a>
    <ul class="navbar-nav mr-auto">
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Actions
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <a class="dropdown-item" routerLink="/dashboard/create-payment">New payment</a>
          <button type="button" class="btn btn-primary dropdown-item" data-toggle="modal" data-target="#groupModal">
            New Budget
          </button>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" routerLink="/dashboard/budget-review">Budget review</a>
        </div>
      </li>
      <li class="nav-item">
        <a routerLink="/dashboard/analysis" routerLinkActive="active-link" class="nav-link">Analysis</a>
      </li>
      <li class="nav-item">
        <a routerLink="timeline" routerLinkActive="active-link" class="nav-link">Timeline</a>
      </li>
    </ul>
    <ul class="navbar-nav">
      <li class="nav-item">
        <a routerLink="about" routerLinkActive="active-link" class="nav-link" title="About this project">About</a>
      </li>
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Profile
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <a class="dropdown-item disabled">Hi!</a>
          <a class="dropdown-item disabled">Settings</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" (click)="logout()">Log out <i class="fas fa-sign-out-alt"></i></a>
        </div>
      </li>
    </ul>
  </div>

</nav>


<!-- Modal Group -->
<div class="modal fade" id="groupModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="groupModalLabel">Create new Budget</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">

          <div class="container">
            <form (ngSubmit)="clear(); createBudget()">
              <div class="row">

                <div class="col">
                  <label for="budgetName">Enter Budget's name</label>
                  <div class="input-group">
                    <input [(ngModel)]="projectName" type="text" name="projectName" id="budgetName" class="form-control" aria-label="Amount (to the nearest dollar)">
                  </div>
                </div>

              </div>
              <div class="row">

                <div class="col">
                  <div class="form-group">
                    <label for="budgetDescription">Description</label>
                    <textarea [(ngModel)]="projectDescription" name="projectDescription" class="form-control" id="budgetDescription" rows="3"></textarea>
                  </div>
                </div>

              </div>
              <div *ngIf='error' class="row">
                <div class="col">
                  <div class="alert alert-warning">{{error.error.error.message | json}}</div>
                </div>
              </div>
              <div *ngIf='success' class="row">
                <div class="col">
                  <div class="alert alert-success">{{success}}</div>
                </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-primary">Save changes</button>
              </div>
            </form>
          </div>

      </div>

    </div>
  </div>
</div>
